D4Science Infrastructure - Task #2192

Gcce and boost installation
Feb 09, 2016 05:15 PM - Gianpaolo Coro

Status: Closed Start date: Feb 09, 2016
Priority: Normal Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: High-Throughput-Computing Estimated time: 0.00 hour
Target version: System Configuration

Infrastructure: Development

Description

gcce 4.9 and boost (>= 1.55) are required on the statistical-manager.d machine

History

#1 - Feb 09, 2016 06:22 PM - Tommaso Piccioli

- Assignee changed from Tommaso Piccioli to _InfraScience Systems Engineer

#2 - Feb 09, 2016 06:54 PM - Andrea Dell'Amico

- Status changed from New to In Progress

Ubuntu precise is too old to satisfy your requirements. On Ubuntu 12.04 gcc 4.6 and boost 1.46 are available.

#3 - Feb 09, 2016 07:18 PM - Andrea Dell'Amico

No, there's a repo for boost 1.55. I'm going to install it, then I'll download and try to compile the quickrank package.

#4 - Feb 09, 2016 07:32 PM - Andrea Dell'Amico

I've found out that there's a repo for newer versions of the gcc tools. With g++4.8 (and a modification to the makefile that does not find the right g++

version), it's compiling.

#5 - Feb 09, 2016 07:38 PM - Andrea Dell'Amico
- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

For the record, the installed tool comes from this git repository: http://quickrank.isti.cnr.it/?page_id=11 and it compiled correctly against g++4.9.

You can find the binary in /home/gcube/quickrank/bin.

There's an ansible playbook that replicates all the steps but the makefile changes (that consist in setting CXX=g++-4.8 and removing the broken

conditionals that tries to find the right executable).

#6 - Mar 09, 2016 02:08 PM - Andrea Dell'Amico

Any news about this one?

#7 - Mar 09, 2016 02:17 PM - Gianpaolo Coro
- Status changed from Feedback to Paused

- Priority changed from Urgent to Normal

This has not been verified by the SoBigData team. | made trivial tests and they were successful.

| put this ticket in pause status.

#8 - Mar 09, 2016 08:48 PM - Pasquale Pagano

- Tracker changed from Support to Task

#9 - Mar 22, 2016 04:07 PM - Gianpaolo Coro

Just one note: to make quickrank compile correctly, the required compilator version is g++ 5
#10 - Mar 22, 2016 04:09 PM - Andrea Dell'Amico

Gianpaolo Coro wrote:

Just one note: to make quickrank compile correctly, the required compilator version is g++ 5

The ansible playbook has been update accordingly.

#11 - Mar 22, 2016 04:52 PM - Andrea Dell'Amico

- Status changed from Paused to In Progress

#12 - Mar 22, 2016 04:52 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

#13 - Mar 30, 2016 02:52 PM - Andrea Dell'Amico

May | close it? A new one should be opened with the installation instructions into the definitive place.

#14 - Mar 30, 2016 02:53 PM - Gianpaolo Coro

Yes you can, thank you.

#15 - Mar 30, 2016 02:54 PM - Andrea Dell'Amico
- Status changed from Feedback to Closed
